
Core - Bug # 18866

Epic # 68397 (In Progress): Make TYPO3 work with MySQL strict mode

Status: Rejected Priority: Should have
Author: Martin Kutschker Category:
Created: 2008-05-28 Assigned To: Alexander Opitz
Updated: 2015-07-20 Due date:
TYPO3 Version: 4.2
PHP Version: 5.2
Complexity:
Is Regression: No
Sprint Focus:
Subject: Cannot create page with Mysl in strict mode (STRICT_TRANS_TABLES)
Description

When I want to create a page I get an Mysql error saying that it has an inavlid value for an integer field. The problem is that
"storage_pid" is when not set initially an empty string. It seems that I get only default values in strict mode for NULL, but no type
conversion from empty string to 0 occurs.

A possible solution would be to use 0 as TCA default, but I think it is more proper to make the conversion in TCEmain if necessary.

(issue imported from #M8542)

Related issues:
related to Core - Bug # 52596: Creating pages tries to assign empty string to... Resolved 2013-10-07
related to Core - Bug # 52204: SQL error: Incorrect integer value: '' for col... Rejected 2013-09-24
related to Core - Task # 54883: Document that TYPO3 CMS is not compatible wit... Resolved 2014-01-09
related to Core - Bug # 52206: Default-values for text-fields Resolved 2013-09-24
duplicates Core - Bug # 20052: SQL error: 'Incorrect integer value: '' for co... Rejected 2009-02-19

Associated revisions
Revision bad3f24c - 2013-08-22 11:24 - Sascha Egerer 

[BUGFIX] Check for incompatible SQL modes

If the SQL mode "STRICT_ALL_TABLES" is enabled you
will not be able to save most records. (Enable it in
your my.cnf and try to save a tt_content record)

This patch adds a check in the install tool for the
incompatible SQL modes "STRICT_ALL_TABLES" and
"NO_BACKSLASH_ESCAPES".

The automatic fix for "NO_BACKSLASH_ESCAPES" has been
removed because we don't want to change the mysql
environment automatically.

Resolves: #20052
Resolves: #18866
Resolves: #18821
Releases: 6.2, 6.1, 6.0
Change-Id: Ifd2d7901935f06534a273374bf48266916e23698
Reviewed-on: https://review.typo3.org/19671
Reviewed-by: Sascha Egerer
Tested-by: Sascha Egerer
Reviewed-by: Markus Klein
Reviewed-by: Alexander Opitz
Tested-by: Alexander Opitz
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

Revision e727d5ff - 2013-08-22 11:40 - Sascha Egerer 

[BUGFIX] Check for incompatible SQL modes

If the SQL mode "STRICT_ALL_TABLES" is enabled you
will not be able to save most records. (Enable it in
your my.cnf and try to save a tt_content record)

This patch adds a check in the install tool for the
incompatible SQL modes "STRICT_ALL_TABLES" and
"NO_BACKSLASH_ESCAPES".

The automatic fix for "NO_BACKSLASH_ESCAPES" has been
removed because we don't want to change the mysql
environment automatically.

Resolves: #20052
Resolves: #18866
Resolves: #18821
Releases: 6.2, 6.1, 6.0
Change-Id: Ifd2d7901935f06534a273374bf48266916e23698
Reviewed-on: https://review.typo3.org/23237
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

History
#1 - 2008-05-29 14:03 - Johannes 

confirming this bug. seems to be related with 0004693

#2 - 2008-05-29 15:16 - Martin Kutschker

No, the definition of "storage_pid" has not been changed.

#3 - 2008-05-29 21:32 - Johannes 

yes of course. my comment was missleading.I mean: both bug come from mysql-5 strictmode and could alternatively (at least for me) be solved by
changing   sql-mode to MYSQL40 in my.ini.
#4 - 2008-09-03 15:26 - Rene van Asperen

The attached diff file seems to fix the problem. Can you give me some feedback about it?

#5 - 2008-09-18 18:29 - Marcos Fadul

The diff file fix the problem for me too.
Good work.

#6 - 2013-04-06 15:10 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19671

#7 - 2013-04-06 15:38 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19671

#8 - 2013-04-06 16:36 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19671

#9 - 2013-05-07 08:10 - Alexander Opitz
- Assigned To set to Alexander Opitz
- Target version deleted (0)

#10 - 2013-05-13 12:56 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19671

#11 - 2013-06-13 09:47 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19671

#12 - 2013-08-20 10:32 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19671
#13 - 2013-08-20 12:07 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19671

#14 - 2013-08-20 13:27 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19671

#15 - 2013-08-22 08:45 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19671

#16 - 2013-08-22 09:28 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19671

#17 - 2013-08-22 10:14 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19671

#18 - 2013-08-22 10:15 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19671

#19 - 2013-08-22 11:30 - Anonymous
- Status changed from Under Review to Resolved

Applied in changeset commit:bad3f24c1d106ce4d2254c1a8e5710edb769151e.

#20 - 2013-08-22 11:38 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-1 has been pushed to the review server.
It is available at https://review.typo3.org/23237

#21 - 2013-08-22 12:29 - Stefan Neufeind
Patch was reverted again since, after some discussion, this was not the right place to add the additional check. Will need a follow-up. The general idea
itself however was okay.

#22 - 2013-08-22 12:30 - Anonymous
- Status changed from Under Review to Resolved

Applied in changeset commit:e727d5ff0b8ee93de38983555164b19f6bf87377.

#23 - 2013-08-22 13:27 - Chris topher
- Status changed from Resolved to New

#24 - 2015-01-18 12:07 - Mathias Schreiber
- Status changed from New to Rejected

Making TYPO3 work with script mode is at least a year of work.
We have this on our agenda, but since this touches a wider aspect of the code I'm closing these tickets down.

#25 - 2015-07-20 19:40 - Morton Jonuschat
- Parent task set to #68397
- Is Regression set to No

Files
bug_8542.diff 1.2 kB 2008-05-28 Administrator Admin
